//cont/mmap1.cpp modified

#include <iostream>
#include <map>
#include <string>
using namespace std;

int main()
{
    // define map type as string/string variableTableionary
    typedef map<string,float> StringFloatMap;

    // create empty variableTableionary
    StringFloatMap variableTable;

    // insert pairs in random order
    variableTable.insert(make_pair("day",1));
    variableTable.insert(make_pair("strange",2));
    variableTable.insert(make_pair("car",3));
    variableTable.insert(make_pair("smart",4));
    variableTable.insert(make_pair("trait",5));
    variableTable.insert(make_pair("clever",6));

    // print all pairs
    StringFloatMap::iterator pos;

    for (pos = variableTable.begin(); pos != variableTable.end(); ++pos) {
        cout << pos->first << "\t "			//first is the key in the pair
             << pos->second << endl;		//second is the value in the pair	
    }
    cout << endl;



    // search a pair with key "car"
	pos = variableTable.find("car");
	if (pos != variableTable.end()) {

		cout << "Search for \"car\", and find the following key:value pair " << endl
				 << pos->first << ": "
	             << pos->second << endl;
	}
   cout << endl;



    // Modify the value of a pair with key "car"
	pos = variableTable.find("car");
	pos->second = 0;
	if (pos != variableTable.end()) {

		cout << "Search for \"car\", and change the value in the key:value pair to 0" << endl
				 << pos->first << ": "
	             << pos->second << endl;
	}
   cout << endl;



	// erase a pair with the key "car"
	variableTable.erase("car");
	cout << "Eraseing the pair with the key \"car\"." << endl;
	cout << endl;


    // search a pair with key "car" again
	cout << "Search again:" << endl;
	pos = variableTable.find("car");
	if (pos == variableTable.end()) {
	        cout << "No element with the key: car  " << endl;
	}
    cout << endl;



	

	cout << "Triple the values of all pairs." << endl;
	// Use a loop to triple the values of all pairs
    for (pos = variableTable.begin(); pos != variableTable.end(); ++pos) {
        pos->second *= 3;
    }

    // print all pairs
    for (pos = variableTable.begin(); pos != variableTable.end(); ++pos) {
        cout << "variable name (key): " << pos->first << "\t"
             << "value: " << pos->second << endl;
    }
    cout << endl;





}
